# $Revision: 1.20.4.4 $, $Date: 2004/05/09 19:42:16 $
# 
# spec is based on PLD's poldek.spec available at <http://cvs.pld.org.pl/SPECS/>
#
# To make config for particular distro as /etc/poldek.conf do:
# rpm -bb ... --define 'distro {pld,rh,mdk,fedora}'
#  

%define _unpackaged_files_terminate_build 0

Summary:	RPM packages management helper tool
Name:		poldek
Version:	0.18.6
Release:	1%{?_with_static:.static}
License:	GPL
Group:		Applications/System
Source0:	http://team.pld.org.pl/~mis/poldek/download/%{name}-%{version}.tar.bz2
URL:		http://team.pld.org.pl/~mis/poldek/
#Requires:	/bin/rpm
BuildRequires:	bzip2-devel
BuildRequires:	rpm-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	pcre-devel
%{?_with_static:BuildRequires:	bzip2-static}
%{?_with_static:BuildRequires:	curl-static}
%{?_with_static:BuildRequires:	openssl-static}
%{?_with_static:BuildRequires:	rpm-static}
%{?_with_static:BuildRequires:	zlib-static}
BuildRoot:	/tmp/%{name}-%{version}-root-%(id -u -n)

%description
poldek is an RPM package management tool which allows you to easily
perform package verification, installation (including system
installation from scratch), upgrading, and removal. 

Program can be used in batch (like apt-get from Debian's
APT) or interactive mode. The interactive mode puts you into a
readline interface with command line autocompletion and history,
similar to the shell mode of Perl's CPAN.

%{?_with_static:This version is statically linked}

%prep 
%setup -q

%build
%configure %{?_with_static:--enable-static}
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{?_with_static:rm -f $RPM_BUILD_ROOT/%{_bindir}/rpmvercmp}

DISTRO=%{?distro:%{distro}}%{!?distro:pld}
sed "s|/i686/|/%{_target_cpu}/|g" < conf/poldekrc.sample-${DISTRO} > $RPM_BUILD_ROOT/etc/%{name}.conf

# enable "buggy zlib linked in rpmio" workaround 
if [ "$DISTRO" == "rh" -o "$DISTRO" == "fedora" ]; then
   perl -pi -e 's|^\#\s*vfile_external_compress\s*=.+|vfile_external_compress = yes|' $RPM_BUILD_ROOT/etc/%{name}.conf		
fi 

gzip -9nf README* *sample* conf/poldekrc* NEWS TODO 

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/%{name}*
%doc *.gz conf/*.gz

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} poldek
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: poldek.spec.in,v $
Revision 1.20.4.4  2004/05/09 19:42:16  mis
- program works with rpm3

Revision 1.20.4.3  2004/01/10 17:26:14  mis
- _unpackaged_files_terminate_build is used to avoid build interrupt on
  missing files
- enable "buggy zlib" woraround for rh and fedora

- added find_lang

Revision 1.20.4.2  2004/01/10 15:23:19  mis
- don't check for unpackage files (don't know how to avoid that build error)

Revision 1.20.4.1  2003/07/23 17:04:16  mis
- removed unneeded dependencies

Revision 1.20  2002/11/07 17:41:07  mis
- used tar.bz2 source

Revision 1.19  2002/06/03 15:45:25  mis
- fixes source URL

Revision 1.18  2002/04/21 16:15:14  mis
- fixed %%doc list

Revision 1.17  2002/04/21 15:38:03  mis
- fixed %%{distro} handling

Revision 1.16  2002/04/14 23:39:09  mis
- fixed %doc list

Revision 1.15  2002/04/10 17:02:31  mis
- easier playing with configs

Revision 1.14  2002/04/06 13:57:27  mis
- added HTTP client; curl module not compiled by default

Revision 1.13  2002/04/04 21:27:31  mis
- +URL

Revision 1.12  2002/03/28 23:37:36  mis
- commented out popt-static build requirement (no such RH package)

Revision 1.11  2002/03/26 00:22:04  mis
- dist config is not PLD one; cosmetics

Revision 1.10  2002/03/18 16:46:25  mis
- added missing changelog name(?)

Revision 1.9  2002/03/09 22:00:57  mis
- updates && slimed down poldekrc.sample-pld

Revision 1.8  2002/02/25 23:59:30  mis
- merged with SPECS's spec

Revision 1.36  2002/01/31 09:41:06  mis
- added 'static' bcond

Revision 1.35  2002/01/30 18:29:45  mis
- autoupdated to 0.16

Revision 1.34  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/11 16:43:51  mis
- autoupdated to 0.15.9

Revision 1.32  2001/10/29 11:13:45  mis
- autoupdated to 0.15.8

Revision 1.31  2001/10/11 15:10:27  mis
- fixed source URL; release 2 (may be STB)

Revision 1.30  2001/10/10 14:41:10  mis
- updated to 0.15.7; STB

Revision 1.29  2001/09/20 10:10:14  mis
- STB

Revision 1.28  2001/09/13 10:06:23  filon
- rebuild with optimized zlib-static, release 2

Revision 1.27  2001/09/12 16:33:33  mis
- trurlib 0.43.3 is needed

Revision 1.26  2001/09/12 16:28:04  mis
- updated to 0.15.6
- added global config

Revision 1.25  2001/08/28 12:06:58  filon
- chagded BuildReq: pod2man to perl-devel

Revision 1.24  2001/08/22 17:30:39  filon
- changed BuilReq:/usr/bin/pod2man to pod2man

Revision 1.23  2001/07/20 16:42:27  mis
- updated to 0.15.5

Revision 1.22  2001/07/17 16:12:09  mis
- updated to 0.15.4

Revision 1.21  2001/07/16 20:32:30  kloczek
- reorder BuildRequires rules.

Revision 1.20  2001/07/16 18:38:31  kloczek
- added rpm-static to BuildRequires if %%{BOOT}.

Revision 1.19  2001/07/16 15:19:03  mis
- updated to 0.15.3

Revision 1.18  2001/07/13 15:18:20  mis
- updated to 0.15.2

Revision 1.17  2001/06/28 14:28:13  mis
- updated to 0.15.1

Revision 1.16  2001/06/27 19:20:27  klakier
- removed rpmvercmp from -BOOT
- added debug options to -BOOT (do not work, though))

Revision 1.15  2001/06/27 18:32:55  klakier
- removed -m386

Revision 1.14  2001/06/27 18:09:22  mis
- updated to 0.15

Revision 1.13  2001/06/18 11:31:31  mis
- updated to 0.14.1

Revision 1.12  2001/06/12 18:14:19  mis
- updated to 0.14

Revision 1.11  2001/05/22 23:29:59  klakier
- added -m386 to BOOT

Revision 1.10  2001/05/21 13:27:54  klakier
- more buildrequires

Revision 1.9  2001/05/18 22:28:24  serek
- popt-static added to buildrequires.

Revision 1.8  2001/05/18 18:58:16  mis
- autoupdated to 0.13

Revision 1.7  2001/05/18 12:31:56  roman
- added polish Summary and %description.

Revision 1.6  2001/05/11 14:06:55  klakier
- fixed BuildRequires

Revision 1.5  2001/04/27 20:09:10  kloczek
- finam cleanups.

Revision 1.4  2001/04/27 14:24:43  wiget
fix buildrequires

Revision 1.3  2001/04/27 14:08:11  klakier
- removed rpmvercmp from BOOT

Revision 1.2  2001/04/23 11:43:26  klakier
- ver 0.12
- added BOOT package

Revision 1.1  2000/09/25 00:00:09  mis
- initial version
